<xml> </xml>

db4o |

# VanillaIoAdapter Methods

The methods of the VanillaIoAdapter class are listed below. For a complete list of VanillaIoAdapter class members, see the VanillaIoAdapter Members topic.

#### Public Instance Methods

blockCopy (inherited from IoAdapter) | copies a block within a file in block mode
blockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
blockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
close |
copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Equals (inherited from Object) |
exists (inherited from IoAdapter) | checks whether a file exists
GetHashCode (inherited from Object) |
getLength |
GetType (inherited from Object) |
open (inherited from IoAdapter) | implement to open the file
read | Overloaded.
read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
seek |
sync |
ToString (inherited from Object) |
write | Overloaded.
write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
regularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

VanillaIoAdapter Class | com.db4o.io Namespace